<?php  
/*
Plugin Name: Look_like_gbo2 
Version:  11.a
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=251
Author: GBo 
Author URI: http://www.photos.bouteyron.fr/
Has Settings: true
Description:  Display thumbnail under button. Add navigation on picture look like GBo Gallery 
Add a border around  picture ......
				
		11.0.0 New version 
			- tooltip color is automatic depending on the backgroud color
 */
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
// +-----------------------------------------------------------------------+
// | Plugin constants                                               |
// +-----------------------------------------------------------------------+
define('LLGBO_VERSION', '11.a');
define('LLGBO_ID',       basename(dirname(__FILE__)));
define('LLGBO_PATH' ,    PHPWG_PLUGINS_PATH . LLGBO_ID . '/');
define('LLGBO_ADMIN',    get_root_url() . 'admin.php?page=plugin-' . LLGBO_ID);
// +-----------------------------------------------------------------------+
/*				 Set the administration panel of the plugin */
// +-----------------------------------------------------------------------+
function llgbo_admin_menu($menu)
  {  
	$menu[] = array('NAME' => 'Look like Gbo','URL' => LLGBO_ADMIN,  );
	return $menu;
	}
// +-----------------------------------------------------------------------+
// | Plugin initialization                                                 |
// +-----------------------------------------------------------------------+
function llgbo_init()
{  
	global $conf,$template;
	load_language('plugin.lang', LLGBO_PATH);	
    $conf['LLGBO2'] =  safe_unserialize($conf['LLGBO2_Settings']);
	
	// -----------------------------------------
} 
/******************************************************************/
//      MANAGE     BEGIN          H E A D E R 
/******************************************************************/
function llgbo_beginheader()
/******************************************************************/
{ global $page,$conf,$template;
// reset nofollow, noindex only on picturePage
if (isset($page['slideshow']) and ($page['slideshow']) ) {} 
else
{
if(isset($page['body_id'])) 
	{ if ($conf['LLGBO2']['alwaysdisplayexif'] and $page['body_id'] == 'thePicturePage')  
		{ unset ($page['meta_robots']);} 
	}
 

}
}
/******************************************************************/
/*       ALWAYS      DISPLAY      METADATA */
/******************************************************************/
function llgbo_BeginPicture()
/******************************************************************/
{global $conf,$page,$template;
	// ---- Metadata ----------	
	if ($conf['LLGBO2']['exifunderbt'])  // exif under bt
		{  	$_GET['metadata'] = 'O';
		$template->block_html_style('', '#imageInfos dl#Metadata {display:none} !important');
		
		}
		
	if ($conf['LLGBO2']['alwaysdisplayexif'])  //always display metadata
		{if ( pwg_get_session_var('show_metadata') == null )
			{  pwg_set_session_var('show_metadata', 1 );	 }
		}


}
// --------------- end begin picture 

/******************************************************************/
//      MANAGE               H E A D E R 
/******************************************************************/
function llgbo_endHeader()
/******************************************************************/
{ global $page,$conf,$template;

include_once(LLGBO_PATH.'include/manage_header.php');
}  // --------------- end header 
/******************************************************************/
//* IMPROVE FUNCTIONNALITIES --> PICTURE.TPL
/******************************************************************/
function  llgbo_EndPicture()
/******************************************************************/
{ global $template,$conf; 
	// ---- Metadata ----------	
	if ($conf['LLGBO2']['exifunderbt'])  // exif under bt
		{  $u_metadata = $template->get_template_vars('U_METADATA');	
	 	if (!empty($u_metadata))
				{	$u_metadata = 	$u_metadata."\" data-llgbo=\"Metadata";
					$template->assign('U_METADATA',$u_metadata);}
			    }
// --------------------------------------
// Add llgbo requirement  
// --------------------------------------
$template->set_filename('llgbo_picture_after', LLGBO_PATH.'template/llgbo_picture_after.tpl' );
$template->concat('PLUGIN_PICTURE_AFTER',  $template->parse('llgbo_picture_after',true));

} 
/******************************************************************
			------   MANAGE PICTURE PAGE                --------------     
 ******************************************************************/
 include_once(LLGBO_PATH.'include/manage_picture_content.php');
/******************************************************************/		   


/******************************************************************/
//    trigger  intercepter    
/******************************************************************/    
 add_event_handler('init', 'llgbo_init'); 
if (defined('IN_ADMIN'))
{   // version 11 et + -->  supprimer
   //  add_event_handler('get_admin_plugin_menu_links', 'llgbo_admin_menu'); 
	}
else
{   add_event_handler('loc_begin_page_header', 'llgbo_beginheader');
	add_event_handler('loc_end_page_header', 'llgbo_endHeader');
    add_event_handler('loc_begin_picture','llgbo_BeginPicture');
	add_event_handler('loc_end_picture', 'llgbo_EndPicture');
	add_event_handler('render_element_content', 'llgbo_RenderContent',  EVENT_HANDLER_PRIORITY_NEUTRAL, 20 );
}
?>